using System;
class Program
{
    static void Main(string[] args)
    {
        string[] prviRed = Console.ReadLine().Split();
        int N = int.Parse(prviRed[0]);
        int L = int.Parse(prviRed[1]);
        string[] drugiRed = Console.ReadLine().Split();
        int[] visine = Array.ConvertAll(drugiRed, int.Parse);

        int rezultat = -1;
        for (int i = 0; i < N; i++)
        {
            if (visine[i] <= L)
            {
                rezultat = i + 1;
                break;
            }
        }
        Console.WriteLine(rezultat);
    }
}